<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPurchasingLabel" jhiTranslate="mpmApp.purchasing.home.createOrEditLabel">Create or edit a Purchasing</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!purchasing.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="purchasing.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.idpurchasing" for="field_idpurchasing">Idpurchasing</label>
            <input type="number" class="form-control" name="idpurchasing" id="field_idpurchasing"
                [(ngModel)]="purchasing.idpurchasing"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.nopurchasing" for="field_nopurchasing">Nopurchasing</label>
            <input type="text" class="form-control" name="nopurchasing" id="field_nopurchasing"
                [(ngModel)]="purchasing.nopurchasing"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.supliercode" for="field_supliercode">Supliercode</label>
            <input type="text" class="form-control" name="supliercode" id="field_supliercode"
                [(ngModel)]="purchasing.supliercode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.sentto" for="field_sentto">Sentto</label>
            <input type="text" class="form-control" name="sentto" id="field_sentto"
                [(ngModel)]="purchasing.sentto"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.paymentterms" for="field_paymentterms">Paymentterms</label>
            <input type="text" class="form-control" name="paymentterms" id="field_paymentterms"
                [(ngModel)]="purchasing.paymentterms"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.revision" for="field_revision">Revision</label>
            <input type="number" class="form-control" name="revision" id="field_revision"
                [(ngModel)]="purchasing.revision"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.tenor" for="field_tenor">Tenor</label>
            <input type="number" class="form-control" name="tenor" id="field_tenor"
                [(ngModel)]="purchasing.tenor"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.dtcreated" for="field_dtcreated">Dtcreated</label>
            <div class="d-flex">
                <input id="field_dtcreated" type="datetime-local" class="form-control" name="dtcreated" [(ngModel)]="purchasing.dtcreated"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.createdby" for="field_createdby">Createdby</label>
            <input type="number" class="form-control" name="createdby" id="field_createdby"
                [(ngModel)]="purchasing.createdby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.modifiedby" for="field_modifiedby">Modifiedby</label>
            <input type="text" class="form-control" name="modifiedby" id="field_modifiedby"
                [(ngModel)]="purchasing.modifiedby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasing.dtmodified" for="field_dtmodified">Dtmodified</label>
            <div class="d-flex">
                <input id="field_dtmodified" type="datetime-local" class="form-control" name="dtmodified" [(ngModel)]="purchasing.dtmodified"
                  />
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
